> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Archive notebook entries

POST https://{tenant_name}.benchling.com/api/v2/entries:archive
Content-Type: application/json

Archive notebook entries

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/entries/archive-entries

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an EntriesArchive.

- `entryIds` (list of string, required) — Array of entry IDs
- `reason` (enum, required) — Reason that entries are being archived. One of ["Made in error", "Retired", "Other"].
  - Allowed values: `Made in error`, `Retired`, `Other`

## Response

### 200

OK

- `entryIds` (list of string, optional)

## Examples

**Request**

```json
{
  "entryIds": [
    "string"
  ],
  "reason": "Made in error"
}
```

**Response**

```json
{
  "entryIds": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/entries:archive"

payload = {
    "entryIds": ["string"],
    "reason": "Made in error"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/entries:archive';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"entryIds":["string"],"reason":"Made in error"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```